unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Label1: TLabel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  r: TSearchRec;
implementation

{$R *.dfm}

//pierwsze szukanie pliku o nazwie odpowiadającej filtrowi Plik*.txt
procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  if FindFirst('Plik*.txt',faAnyFile,r)=0 then
  Memo1.Lines.LoadFromFile(r.Name);
end;

//ponowne szukanie pliku o nazwie Plik*.txt
procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  //FindNext zwraca 0, jeśli znalazł plik
  if FindNext(r)=0 then Label1.Caption:=Label1.Caption+#13+r.Name
  else FindClose(r);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   BitBtn1.Caption:='Znajdź pierwszy plik o nazwie plik*.txt'+#13+
                 'i wczytaj go do pola Memo1';
   BitBtn2.Caption:='Znajdź następne pliki o tej nazwie'+#13+
                 'i kolejno wyświetl ich nazwy na etykiecie';
end;

end.
